DEC Phigs+ Renderer Driver
-----------------------------

File: dphigs_ren.c

Renderer: DEC Phigs+

Primitives:
	Intrinsic:
		polygon, polyline, polymarker, triangle strip, mesh
	Emulated:
		sphere, cylinder, torus, Bezier patch

Attributes: color, backcull, text-height, material

Lights: light, ambient light

Camera handling: complete.

Auxiliary functions:  ren_free, ren_dump, ren_setup, ren_reset, ren_shutdown.

Hooks:  none

Comments:
	This 'renderer' is actually an interface into the DEC's
	version of Phigs+.  Significant porting will probably be
	needed to get it to work with anyone else's Phigs+.

	The object is defined within Phigs at definition time;
	traversal is carried out there.  Lighting traversal is
	done within the renderer, and a set of lights are constructed
	which are applied to the object at rendering time.

	This renderer has been tested on DEC workstations under DEC
	Phigs.  The following correspondence exists between the value 
	of p3d-device at startup time and the Phigs workstation type used:

	p3d-device	workstation type		conection id

     "dec_defaults"	PHIGS$K_WSTYPE_DEFAULT		PHIGS$K_CONID_DEFAULT
     "dec_decwindows_output" K_DECWINDOWS_OUTPUT	0:0 Ultrix, 0::0 VMS
     "dec_decwindows_drawable" K_DECWINDOWS_DRAWABLE phigs_conn_id (global)
     "dec_pex_output" 	K_PEX_OUTPUT			0:0 Ultrix, 0::0 VMS
     "dec_pex_drawable"	K_PEX_DRAWABLE 		phigs_conn_id (global)

Known bugs:
	None.



